/** ###################################################################
**     Filename  : pehod.C
**     Project   : pehod
**     Processor : MC9S08AW16CFG
**     Version   : Driver 01.11
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 26.5.2008, 22:45
**     Abstract  :
**         Main module.
**         Here is to be placed user's code.
**     Settings  :
**     Contents  :
**         No public methods
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2006
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/
/* MODULE pehod */

/*************************************************************************
 *
 * Projekt:     GPS hodiny
 * Autor:       Ales Povalac, <alpov@alpov.net>
 *
 *************************************************************************/         

/* Including used modules for compiling procedure */
#include "Cpu.h"
#include "Events.h"
#include "UART.h"
#include "DisplayTimer.h"
#include "CharDrive.h"
#include "ShDI.h"
#include "ShSCK.h"
#include "ShRCK.h"
#include "LED.h"
/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"

#include "Display.h"
#include "GPS.h"

void main(void)
{
  /* Write your local variable definition here */

  /*** Processor Expert internal initialization. DON'T REMOVE THIS CODE!!! ***/
  PE_low_level_init();
  /*** End of Processor Expert internal initialization.                    ***/

  /* Write your code here */
  /* For example: for(;;) { } */
  
  
  show_time(0, 0, 0);
  show_date(0, 0);
  
  init_gps();
  

  /*** Don't write any code pass this line, or it will be deleted during code generation. ***/
  /*** Processor Expert end of main routine. DON'T MODIFY THIS CODE!!! ***/
  for(;;){}
  /*** Processor Expert end of main routine. DON'T WRITE CODE BELOW!!! ***/
} /*** End of main routine. DO NOT MODIFY THIS TEXT!!! ***/

/* END pehod */
/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 3.01 [03.92]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
