/** ###################################################################
**     Filename  : Display.H
**     Project   : pehod
**     Processor : MC9S08AW16CFG
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 26.5.2008, 22:57
**     Contents  :
**         User source code
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2006
**     UNIS, spol. s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

#ifndef __Display_H
#define __Display_H

/* MODULE Display */

/*************************************************************************
 *
 * Projekt:     GPS hodiny
 * Autor:       Ales Povalac, <alpov@alpov.net>
 *
 *************************************************************************/         

#define nop() asm ( nop; )

extern void display_timer(void);
extern void show_time(unsigned char hour, unsigned char min, unsigned char sec);
extern void show_date(unsigned char day, unsigned char month);

/* END Display */

#endif

